# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Member Functions | Protected Attributes | Friends

# vl::FBOAbstractAttachment Class Reference

Abstract class that represents a framebuffer object attachment to be used with FramebufferObject. More...

`#include <FramebufferObject.hpp>`

Inheritance diagram for vl::FBOAbstractAttachment:

List of all members.

## Public Member Functions

| FBOAbstractAttachment ()
| Constructor.
virtual | ~FBOAbstractAttachment ()
| Destructor.
virtual void | unbindFromAllFBO ()
| Removes the FBO attachment from all bound FBO render targets.
const std::set< ref < FramebufferObject > > & | fboFramebuffers () const
| Returns an std::set containing the FramebufferObject that use this FBO attachment.

## Protected Member Functions

virtual void | bindAttachment (FramebufferObject *fbo, EAttachmentPoint attach_point)=0

## Protected Attributes

std::set< ref < FramebufferObject > > | mFramebufferObjects

## Friends

class | FramebufferObject

## Detailed Description

Abstract class that represents a framebuffer object attachment to be used with FramebufferObject.

Definition at line 49 of file FramebufferObject.hpp.

## Constructor & Destructor Documentation

vl::FBOAbstractAttachment::FBOAbstractAttachment | ( | ) | `[inline]`

Constructor.

Definition at line 62 of file FramebufferObject.hpp.

virtual vl::FBOAbstractAttachment::~FBOAbstractAttachment | ( | ) | `[inline, virtual]`

Destructor.

Definition at line 65 of file FramebufferObject.hpp.

References VL_CHECK.

## Member Function Documentation

void FBOAbstractAttachment::unbindFromAllFBO | ( | ) | `[virtual]`

Removes the FBO attachment from all bound FBO render targets.

Definition at line 493 of file FramebufferObject.cpp.

References fboFramebuffers().

Referenced by vl::FBORenderbufferAttachment::deleteRenderBuffer().

const std::set< ref<FramebufferObject> >& vl::FBOAbstractAttachment::fboFramebuffers | ( | ) | const`[inline]`

Returns an std::set containing the FramebufferObject that use this FBO attachment.

Definition at line 71 of file FramebufferObject.hpp.

Referenced by unbindFromAllFBO().

virtual void vl::FBOAbstractAttachment::bindAttachment | ( | FramebufferObject * | fbo,
|  | EAttachmentPoint | attach_point
| ) |  | `[protected, pure virtual]`

Implemented in vl::FBORenderbufferAttachment, vl::FBOTexture1DAttachment, vl::FBOTexture2DAttachment, vl::FBOTextureAttachment, vl::FBOTexture3DAttachment, and vl::FBOTextureLayerAttachment.

Referenced by vl::FramebufferObject::addDepthAttachment(), vl::FramebufferObject::addDepthStencilAttachment(), vl::FramebufferObject::addStencilAttachment(), and vl::FramebufferObject::addTextureAttachment().

## Friends And Related Function Documentation

friend class FramebufferObject`[friend]`

Reimplemented in vl::FBORenderbufferAttachment.

Definition at line 53 of file FramebufferObject.hpp.

## Member Data Documentation

std::set< ref<FramebufferObject> > vl::FBOAbstractAttachment::mFramebufferObjects`[protected]`

Definition at line 77 of file FramebufferObject.hpp.

Referenced by vl::FramebufferObject::addColorAttachment(), vl::FramebufferObject::addDepthAttachment(), vl::FramebufferObject::addDepthStencilAttachment(), vl::FramebufferObject::addStencilAttachment(), vl::FramebufferObject::addTextureAttachment(), and vl::FramebufferObject::removeAttachment().

The documentation for this class was generated from the following files:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/FramebufferObject.hpp
- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/FramebufferObject.cpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:36.
Permission is granted to use this page to write and publish articles regarding Visualization Library.